<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Bootstrap Layout</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <style>
      html, body {
        width: 100%;
        height: 100%;
      }

      header, main, nav, footer {
        border: 1px solid green;
      }

      header {
        height: 150px;
      }

      footer {
        height: 75px;
      }


    </style>
  </head>
<body>
  <div class="container h-100 d-flex flex-column">
  <header class="row">
    <div class="col-12">
      Header
    </div>
  </header>
  <main class="row flex-grow-1">
    <div class="col-md-8 col-sm-6">
      Content
    </div>
    <nav class="col-md-4 col-sm-6">
      Menu
    </nav>
  </main>
  <footer class="row">
    <div class="col-12">
      Footer
    </div>
  </footer>
</div>
</body>
</html>